-#
-# required locals `parameter` and `value`
-#

- placeholder = value.present? ? '•••••••••••••••••••' : t(:no_value_set)

= label_tag parameter, t(parameter)

.horizontal-layout
  .layout-item.expand
    = form_tag passwords_path, {method: 'put'} do
      = hidden_field_tag 'update_action', 'update_service_password'
      = hidden_field_tag 'view', 'services'
      = hidden_field_tag 'field', parameter
      = hidden_field_tag 'save', 'true'
      .horizontal-layout
        .layout-item.expand
          .mb-3{class: has_error(@errors[parameter])}
            = text_field_tag parameter, params[parameter],
              class: 'form-control', placeholder: placeholder
        .layout-item
          %button{type:'submit', class: 'btn btn-default'}
            = icon(:ok, t(:save))
  .layout-item
    = form_tag passwords_path, {method: 'put'} do
      = hidden_field_tag 'update_action', 'update_service_password'
      = hidden_field_tag 'view', 'services'
      = hidden_field_tag 'field', parameter
      = hidden_field_tag 'randomize', 'true'
      %button{type:'submit', class: 'btn btn-default'}
        = icon(:random, t(:set_random_password))
  .layout-item
    = form_tag passwords_path, {method: 'put'} do
      = hidden_field_tag 'update_action', 'update_service_password'
      = hidden_field_tag 'view', 'services'
      = hidden_field_tag 'field', parameter
      = hidden_field_tag 'clear', 'true'
      %button{type:'submit', class: 'btn btn-default', disabled: !value.present?}
        = icon(:erase, t(:clear_password))


